package com.chenyang.nse.bussiness.entity.orm.table.base;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_BASE_ROLE"
)
public class TBaseRole extends TInitEntity {
   private String rolename;
   private Date createtime;
   private Date updatetime;
   private String remark;
   private String updateuserid;
   private String updateusername;

   public String getRolename() {
      return this.rolename;
   }

   public void setRolename(String rolename) {
      this.rolename = rolename;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getUpdateuserid() {
      return this.updateuserid;
   }

   public void setUpdateuserid(String updateuserid) {
      this.updateuserid = updateuserid;
   }

   public String getUpdateusername() {
      return this.updateusername;
   }

   public void setUpdateusername(String updateusername) {
      this.updateusername = updateusername;
   }
}
